From: [email-masked] (Mike Gross)

I have a (now working) Xconfig file for a Diamond Speedstar (not a Speedstar+)
with an off-brand (KFC) 1024x768 14" monitor, under whatever version of X386
comes with Linux 0.99p8. I think that's Xfree1.2.

   It is possible to get X386 running on my Diamond Speedstar, but I suspect
it may only be possible on older Diamond cards like mine. My card was
manufactured shortly before Diamond went on their proprietary clock BS.
Still, a very important workaround is to *never* mess with clocks 0 or 1.
They are apparently hardwired to 25 and 28 MHz, respectively, and X386 can
be fooled by that. I put a 44 MHz clock on Clock 2, and this gave me a nice
interlaced 1024x768.

# $XConsortium: Xconfig,v 1.2 91/08/26 14:34:55 gildea Exp $
#
# Copyright 1990,91 by Thomas Roell, Dinkelscherben, Germany.
#
# Permission to use, copy, modify, distribute, and sell this software and its
# documentation for any purpose is hereby granted without fee, provided that
# the above copyright notice appear in all copies and that both that
# copyright notice and this permission notice appear in supporting
# documentation, and that the name of Thomas Roell not be used in
# advertising or publicity pertaining to distribution of the software without
# specific, written prior permission.  Thomas Roell makes no representations
# about the suitability of this software for any purpose.  It is provided
# "as is" without express or implied warranty.
#
# THOMAS ROELL DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
# INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
# EVENT SHALL THOMAS ROELL BE LIABLE FOR ANY SPECIAL, INDIRECT OR
# CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
# DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
# TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
# PERFORMANCE OF THIS SOFTWARE.
#
# Author:  Thomas Roell, [email-masked]
# modified by obz for easier linux porting

#
# some nice paths, to avoid conflicts with other X-servers
#
#RGBPath		"/usr/lib/X11/rgb"
# had this one FontPath	"/usr/lib/X11/fonts/misc/,/usr/lib/X11/fonts/75dpi/"
#FontPath	"/usr/lib/X11/fonts/misc/"

#=====
#
# some nice paths, to avoid conflicts with other X-servers
#
RGBPath		"/usr/X386/lib/X11/rgb"
#FontPath	"/usr/X386/lib/X11/fonts/misc/,/usr/X386/lib/X11/fonts/Speedo,/usr/X386/lib/X11/fonts/75dpi/"

# Use this if the Type1 font code is in the server
#FontPath	"/usr/X386/lib/X11/fonts/misc/,/usr/X386/lib/X11/fonts/Type1/,/usr/X386/lib/X11/fonts/Speedo,/usr/X386/lib/X11/fonts/75dpi/"
FontPath	"/usr/X386/lib/X11/fonts/misc/,/usr/X386/lib/X11/fonts/75dpi/"
#=====

Keyboard
AutoRepeat 500 5
# Xleds      1 2 3
ServerNumLock
# DontZap

#Microsoft	"/dev/mouse"
 MouseSystems	"/dev/mouse"
#MMSeries	"/dev/mouse"
#Logitech	"/dev/ttyS1"
#MouseMan	"/dev/ttyS1"
#Busmouse	"/dev/mouse"
#BaudRate	1200
#SampleRate	150
#Emulate3Buttons

#
# The graphics drivers
#
vga256
 Virtual	1024 768
 ViewPort      0 0
 Modes	        "1024x768i" "640x480"
#Modes	        "640x480" #"1024x768i" "800x600"
#Clocks 25 28 36 27 30 33 20 24 50 57 72 45 60 65 40 47
#Clocks 25 28 32 36 40 45 50 62
 Clocks 25 28 33 36 39 45
#Staticgray
#Grayscale
#Staticcolor
 Pseudocolor
#Truecolor
#Directcolor
#Chipset	"et4000"
#Chipset	"et3000"
#Chipset	"gvga"
#Chipset	"pvga1"
#Displaysize	1024 768
#Screenno	0
#Vendor 	"legend"
#Videoram	1024

ModeDB

# clock  horzontal timing      vertical timing
 "640x480"   25     640  672  768  800    480  490  492  525 -hsync -vsync
#            28     640  672  768  800    480  490  492  525

#"800x600"   37     800  816  952 1056    600  608  610  633
#"800x600"   37     800  832  966  998    600  600  609  631
#            39     800  872  968 1104    600  600  606  624
#"800x600"   37     800  864  896 1008    600  600  606  624

#"920x690"   62     920  952 1088 1168    690  688  718  724

#"1024x768i" 44    1024 1064 1224 1264    768  777  785  817   Interlace
 "1024x768i" 45    1024 1064 1224 1264    768  768  786  817   Interlace
#"1024x768"  62    1024 1092 1220 1344    768  786  791  810
#             62    1024 1096 1272 1328    768  776  778  808
#             62    1024 1072 1176 1272    768  778  779  804
#             62    1024 1072 1200 1240    768  766  782  786
#
#"1152x900"  62    1152 1184 1288 1360    900  898  929  939   Interlace

Mike Gross
Physics Board and Lick Observatory
Univ of California                          GO SLUGS!!!!
Santa Cruz, CA 95064
[email-masked]